| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USB Endpoint Type
USB Interface

USB Endpoint Type definitions. More...

## Macros

#define | ARM_USB_ENDPOINT_CONTROL 0
| Control Endpoint.
#define | ARM_USB_ENDPOINT_ISOCHRONOUS 1
| Isochronous Endpoint.
#define | ARM_USB_ENDPOINT_BULK 2
| Bulk Endpoint.
#define | ARM_USB_ENDPOINT_INTERRUPT 3
| Interrupt Endpoint.

## Description

USB Endpoint Type definitions.

The following USB Endpoint Type values are defined:

## Macro Definition Documentation

#define ARM_USB_ENDPOINT_BULK 2

Bulk Endpoint.

#define ARM_USB_ENDPOINT_CONTROL 0

Control Endpoint.

#define ARM_USB_ENDPOINT_INTERRUPT 3

Interrupt Endpoint.

#define ARM_USB_ENDPOINT_ISOCHRONOUS 1

Isochronous Endpoint.